Package org.apache.tomcat.util.threads

## Class TaskThreadFactory

- java.lang.Object
- - org.apache.tomcat.util.threads.TaskThreadFactory

- All Implemented Interfaces:
    `java.util.concurrent.ThreadFactory`

      public class TaskThreadFactory
      extends java.lang.Object
      implements java.util.concurrent.ThreadFactory

  Simple task thread factory to use to create threads for an executor implementation.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskThreadFactory​(java.lang.String namePrefix, boolean daemon, int priority)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Thread` | `newThread​(java.lang.Runnable r)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskThreadFactory

          public TaskThreadFactory​(java.lang.String namePrefix,
                                   boolean daemon,
                                   int priority)

  - ### Method Detail

    - #### newThread

          public java.lang.Thread newThread​(java.lang.Runnable r)

      Specified by:
        `newThread` in interface `java.util.concurrent.ThreadFactory`